Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class GOES_IdiomaDbHelper
    Inherits DbHelper(Of GOES_Idioma,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListGOES_IdiomaByPlaza(ByVal idPlaza as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of GOES_Idioma)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idPlaza = idPlaza
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
